# cgi_runner.rb

Path: | webrick/httpservlet/cgi_runner.rb
Last Update: | Thu Jul 24 02:51:36 AUS Eastern Standard Time 2003

cgi_runner.rb — CGI launcher.

Author: IPR — Internet Programming with Ruby — writers Copyright © 2000 TAKAHASHI Masayoshi, GOTOU YUUZOU Copyright © 2002 Internet Programming with Ruby writers. All rights reserved.

$IPR: cgi_runner.rb,v 1.9 2002/09/25 11:33:15 gotoyuzo Exp $

### Methods

sysread

### Public Instance methods

sysread(io, size)

cgi_runner.rb — CGI launcher.

Author: IPR — Internet Programming with Ruby — writers Copyright © 2000 TAKAHASHI Masayoshi, GOTOU YUUZOU Copyright © 2002 Internet Programming with Ruby writers. All rights reserved.

$IPR: cgi_runner.rb,v 1.9 2002/09/25 11:33:15 gotoyuzo Exp $

[Source]

    # File webrick/httpservlet/cgi_runner.rb, line 11
    def sysread(io, size)
      buf = ""
      while size > 0
        tmp = io.sysread(size)
        buf << tmp
        size -= tmp.size
      end
      return buf
    end

[Validate]